Skip to main content
PUT
/
v1
/
articles
/
{uid}
Update an Article
curl --request PUT \
  --url https://api.siit.io/v1/articles/{uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "subtitle": "<string>",
  "body": "<string>",
  "external_url": "<string>",
  "category": "<string>",
  "author": "<string>"
}
'
{
  "result": {
    "uid": "<string>",
    "archived_at": "2023-11-07T05:31:56Z",
    "author": "<string>",
    "author_uid": "<string>",
    "body": "<string>",
    "category": "<string>",
    "category_uid": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "external_url": "<string>",
    "last_editor": "<string>",
    "last_editor_uid": "<string>",
    "published": true,
    "source": "external",
    "subtitle": "<string>",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Introduction

Please note that:
  1. only the ones with source siit or external can use that endpoint as the other sources are managed directly by the integrations
  2. only articles created via api (ie. source external can edit their body via the api)

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Article

Body

application/json

Request body for creating or updating an Article. Pass UIDs (not objects) for relationship fields.

title
string
subtitle
string | null
body
string

Text content of the article

external_url
string | null

URL that the article redirects to

category
string

The category of this article. Pass the UID of the related object.

author
string | null

The user who creates the article (only honored on create — defaults to current user). Pass the UID of the related object.

Response

200 - application/json

Successful

result
object